# Interface ServerAuthModule

All Superinterfaces:
  `ServerAuth`

public interface ServerAuthModule extends ServerAuth

## Method Summary

Modifier and Type
Method
Description
`Class<?>[]`
`getSupportedMessageTypes()`
`void`
`initialize(MessagePolicy requestPolicy, MessagePolicy responsePolicy, CallbackHandler handler, Map<String,Object> options)`

### Methods inherited from interface jakarta.security.auth.message.ServerAuth

`cleanSubject, secureResponse, validateRequest`

## Method Details

### initialize

void initialize(MessagePolicy requestPolicy, MessagePolicy responsePolicy, CallbackHandler handler, Map<String,Object> options) throws AuthException

Throws:
  `AuthException`

### getSupportedMessageTypes

Class<?>[] getSupportedMessageTypes()